StatsHub Docs
Endpoint referenceDashboard

/dashboard/bot/league-groups

PUT
/api/v2/dashboard/bot/league-groups

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/v2/dashboard/bot/league-groups" \  -H "Content-Type: application/json" \  -d '{    "description": "string",    "id": 0,    "name": "string"  }'
{  "$schema": "https://example.com/schemas/LeagueGroup.json",  "createdAt": "string",  "description": "string",  "id": 0,  "memberCount": 0,  "members": [    {      "name": "string",      "slug": "string",      "tournamentId": 0,      "uniqueTournamentId": 0    }  ],  "name": "string",  "updatedAt": "string"}